package com.yunzhi.marketing.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.format.DateTimeFormat;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 助力活动发起人员记录
 * </p>
 *
 * @author jobob
 * @since 2019-10-17
 */
@Data
public class SalesExport {

    /**
     * 项目名称
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "项目名称", index = 0)
    private String buildingName;

    /**
     * 置业顾问
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "置业顾问", index = 1)
    private String consultantName;

    /**
     * 分享次数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "分享次数", index = 2)
    private int shareCount;

    /**
     * 点击人数
     */
    @ColumnWidth(15)
    @ExcelProperty(value = "点击人数", index = 3)
    private int clickNum;

    @ExcelIgnore
    private String personId;

    @ExcelIgnore
    private Integer userId;
}
