package com.yunzhi.marketing.xlk.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 品牌开发商表 
 * </p>
 *
 * @author jobob
 * @since 2021-05-13
 */
@Data
public class BrandDTO implements Serializable {

    /**
     * 索引字母
     */
    @TableField("Index_letter")
    private String indexLetter;

    /**
     * 品牌商名称
     */
    private String brandName;

    /**
     * 品牌商宣传图
     */
    private String brandImg;

    /**
     * 品牌商简介
     */
    private String brandRemark;
}
